Subject: Re: [Diffserv] problem with " Simpler EF redefinition" in draft salsano-simpler-ef-definition

From: John & Stephanie Dullaert <[email-masked]>
Date: Thu, 03 Aug 2000 10:24:47 -0400

At 11:11 PM 8/2/00 -0400, Anna Charny wrote:
>Stefano,
>
>It seems to me there is a problem with your definition. Please see below 
>and let me know
>if I misunderstood something.
>
>
>>2. Redefinition of EF PHB
>>
>>The EF PHB is defined as a forwarding treatment for a particular
>>diffserv aggregate where the amount of the aggregate's traffic
>>departing from the router in a given time interval MUST equal or
>>exceed a quantifiable lower bound which is given below. The lower
>>bound depends on the amount of the aggregate input traffic in that
>>time interval, on the configured rate R for EF traffic and on a
>>latency term which takes into account the router behavior.
>>
>>Let I(t1, t2) be the amount of EF traffic directed to a given
>>outgoing port that entered the router in the interval (t1, t2) and
>>let O(t1,t2) the amount of EF traffic that exited the given port in
>>the interval (t1, t2). A packet has entered the router when the last
>>bit of the packet has entered the router and it has exited the router
>>when its last bit has left the router.
>>
>>Let R be the configured rate for EF traffic, R <= C where C is the
>>link capacity.
>>
>>A node supports the EF PHB at a rate R with a latency term E if for
>>each t1 and t2, where t2 > t1 + E
>>
>>O (t1, t2) >= min (R*(t2-t1-E), I(t1,t2-E))
>>
>>The above condition applies under the hypothesis that no loss occurs
>>for the EF traffic under observation.
>
>Consider a  router with 10 input ports.  There is an EF stream on each 
>input, all 10 streams converging to a single output of speed C, which 
>implements PQ and has Ef configured rate R=C/2.  Suppose that the 10 EF 
>streams have input rates C/100 each (or in fact just about any other rate 
>such that  sum of all input rates is smaller than R).  According to your 
>draft for PQ E=2MTU/C, so consider some  t1 and t2 > t1+E such that
>
>t2-t1=22MTU/C
>
>and such that no packets arrive in the interval  (t1, t2-E epsilon), and 
>then 10 MTU-sized Ef packets arrive from the 10 inputs (one packet per 
>input). This can clearly happen.
>
>
>
>                        20 MTU/C                                  E=2MTU/C
>t1 <------------------------------------------->t2-E<---------------->t2
>
>                                                                 ^
>                                                                 |
>                                                             1 packet from 
>each of 10 input arrive
>                                                              at time 
>t2-E-epsilon
>
>
>
>Then you get
>
>R*(t2 - t1-E)=R *20MTU/C=10MTU,
>I(t1, t2-E) = 10MTU
>
>so according to your definition you MUST send at least
>
>min (R*(t2-t1-E), I(t1,t2-E))=10MTU/C
>
>in the interval (t1, t2).  Yet, when you finally receive the packets, you 
>have only time E+epsilon = MTU/C+epsilon left in that interval (t1, t2).
>Now, to satisfy your definition, you MUST send 10 MTU-size packets in the 
>time slightly exceeding 2MTU/C, which is clearly impossible, since you only 
>have time to send 2MTU +epsilon/C.
>
>
>Regards,
>Anna
>
>
>
>---------------------------------------
>Anna Charny
>Cisco Systems, Inc
>300 Apollo Drive
>Chelmsford, MA  01824
>Tel. (978)-244-8172
>Fax (978)-244-8126
>
>
>_______________________________________________
>diffserv mailing list
>[email-masked]
>http://www1.ietf.org/mailman/listinfo/diffserv
>Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/
>
>
>

Sorry Anna, my previous reply was supposed to go to the list.

What appears to be missing here is that the R term in the min statement
needs to include an offered load value.  R has no meaning if there is
nothing to send.  By including such a term, the min statement would result
in R * (t2 - (t2-E-epsilon)) and thereby hold for the example given above.

The general term could perhaps be written:

O (t1, t2) >= min (R*(t2-t1-E)*L, I(t1,t2-E))

where L is the percentage of the interval during which there is something
to send.

-
John C. Dullaert
Captain
Royal Military College of Canada
ECE Grad Student
613-548-8053
fax 613-548-8408

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/